Bug 111895 - r-c-network does not seem to respect static routing on virtual interfaces
r-c-network does not seem to respect static routing on virtual interfaces
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-11 08:31 EST by Sven Winnecke
Modified: 2014-03-16 22:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-20 16:26:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sven Winnecke 2003-12-11 08:31:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624

Description of problem:
when adding static router through r-c-network'sGUI, they do not seem
to be respected

Version-Release number of selected component (if applicable):
redhat-config-network-1.2.58-1

How reproducible:
Always

Steps to Reproduce:
1. open redhat-config-network under X
2. click on 'Add' to add an ethernet interface, repeat steps as
necessary to get a virtaual interface (i.e. add an interface to an
already used physical device)
3. open said interface with 'Edit' to configure the routes
4. click on activate (or service network restart)
    

Actual Results:  [root@banana network-scripts]# route -n
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref   
Use Iface
192.168.154.0   0.0.0.0         255.255.255.128 U     0      0       
0 eth0
192.168.158.0   0.0.0.0         255.255.255.128 U     0      0       
0 eth0
57.20.0.0       192.168.154.1   255.255.0.0     UG    0      0       
0 eth0
169.254.0.0     0.0.0.0         255.255.0.0     U     0      0       
0 eth0
57.56.0.0       192.168.154.1   255.255.0.0     UG    0      0       
0 eth0
127.0.0.0       0.0.0.0         255.0.0.0       U     0      0        0 lo
0.0.0.0         192.168.158.35  0.0.0.0         UG    0      0       
0 eth0


Expected Results:  a gateway in the routing table where we defined it.

(a manually configured routing table from another machine follows)
[root@orange root]# route -n
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref   
Use Iface
172.28.204.193  192.168.158.34  255.255.255.255 UGH   0      0       
0 eth0
192.168.154.0   0.0.0.0         255.255.255.128 U     0      0       
0 eth0
57.57.244.0     192.168.158.34  255.255.255.128 UG    0      0       
0 eth0
192.168.158.0   0.0.0.0         255.255.255.128 U     0      0       
0 eth0
57.56.0.0       192.168.154.1   255.255.255.0   UG    0      0       
0 eth0
57.20.0.0       192.168.154.1   255.255.0.0     UG    0      0       
0 eth0
169.254.0.0     0.0.0.0         255.255.0.0     U     0      0       
0 eth0
127.0.0.0       0.0.0.0         255.0.0.0       U     0      0        0 lo
0.0.0.0         192.168.158.35  0.0.0.0         UG    1      0       
0 eth0


Additional info:

[root@banana network-scripts]# cat route-eth0:1
GATEWAY1=192.168.158.34
NETMASK1=255.255.255.255
ADDRESS1=172.28.204.193
GATEWAY0=192.168.158.34
NETMASK0=255.255.255.128
ADDRESS0=57.57.244.0
Comment 1 Harald Hoyer 2003-12-11 09:23:08 EST
and the route-eth0:1 properly used by network restart?
Comment 2 Harald Hoyer 2003-12-11 09:24:15 EST
sorry... 
and the route-eth0:1 is not properly used by network restart?
Comment 3 Sven Winnecke 2003-12-12 01:46:43 EST
Exactly. All interfaces come up properly and the routes are set
correctly for the physical interface (eth0) but not for the virtual
interface (eth0:1). Setting the route manually "route add ..." works
fine however, so I assume it is not a general networking problem.

While playing with it I took the virtual interface down and back up
(ifdown eth0:1, then ifup eth0:1), and ifup brings these messages:

bash# ifup eth0:1
Cannot find device "eth0:1"
Cannot find device "eth0:1"
bash#

That's one line for each interface-dependant route (I tried to set
only one route and got only one of those messages).

Maybe the real problem is the "ip" tool that is called from within the
network scripts, at least the mentioned message text is to be found in
the /sbin/ip binary.

As long as the problem persists I will just use a little init script
with the necessary "route" commands. A fix would still be nice though.
Comment 4 Harald Hoyer 2003-12-17 03:22:05 EST
ok, I'll reassign to the initscripts component...
Comment 5 Bill Nottingham 2005-09-20 16:26:53 EDT
This problem will be resolved in a future release of Red Hat Enterprise Linux;
tentatively, RHEL 5. Red Hat does not currently plan to provide a resolution for
this in a Red Hat Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 


Note You need to log in before you can comment on or make changes to this bug.